#!/usr/bin/env python
"""
quote.py - Pluvo Standard Library: quote
Author: Sean B. Palmer, inamidst.com
"""

try: from datatypes import String
except ImportError: 
   from pluvo.datatypes import String

def quote(env, block): 
   if block.has_key(String("kind")): 
      del block[String("kind")]
   if block.has_key(String("argspec")): 
      del block[String("argspec")]
   return block

main = quote

if __name__ == '__main__': 
   print __doc__
