#!/usr/bin/env python
"""
sqrt.py - Pluvo Standard Library: sqrt
Author: Sean B. Palmer, inamidst.com
@@ maths.sqrt
"""

try: 
   from library import weakFunction
   from datatypes import Number
except ImportError: 
   from pluvo.library import weakFunction
   from pluvo.datatypes import Number

def sqrt(env, arg): 
   from math import sqrt
   if weakFunction(arg): 
      arg = env.evaluate(arg)
   d = arg.num
   return Number(str(sqrt(d)))

main = sqrt

if __name__ == '__main__': 
   print __doc__
