#!/usr/bin/env python
"""
symbol.py - Pluvo Symbol Datatype
Author: Sean B. Palmer, inamidst.com
Called a Symbol a la Ruby; was BlankVariable.
"""

class Symbol(object): 
   def __init__(self, name): 
      self.name = name

   def __repr__(self): 
      return "Symbol(%r)" % self.name

def trim(string): 
   return string.strip(' \t\r\n')

if __name__ == '__main__': 
   print trim(string)
