#!/usr/bin/env python
"""
abs.py - Pluvo Standard Library: abs
Author: Sean B. Palmer, inamidst.com
@@ maths.abs
"""

try: 
   from library import weakFunction
   from datatypes import Number
except ImportError: 
   from pluvo.library import weakFunction
   from pluvo.datatypes import Number

def absnum(env, n): 
   if weakFunction(n): 
      n = env.evaluate(n)
   return Number(abs(n.num))

main = absnum

if __name__ == '__main__': 
   print __doc__
