#!/usr/bin/env python
"""
pluvo.py - Placeholder Pluvo Interpreter
Author: Sean B. Palmer, inamidst.com

Example: 
$ ./pluvo.py helloworld.lu
Hello world!
"""

import sys, cStringIO as StringIO
import compiler, interpreter

def main(): 
   f = open(sys.argv[1])
   program = compiler.compile(f)
   f.close()

   i = interpreter.Interpreter(program)
   i.run()

if __name__ == '__main__': 
   main()
